clang-tools 8.0.0

Namespaces
FunctionSizeCheck.cpp File Reference
`#include "FunctionSizeCheck.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
Include dependency graph for FunctionSizeCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::readability

## Variable Documentation

## ◆ Branches

unsigned Branches = 0

Definition at line 116 of file FunctionSizeCheck.cpp.

## ◆ CurrentNestingLevel

unsigned CurrentNestingLevel = 0

Definition at line 124 of file FunctionSizeCheck.cpp.

## ◆ Info

FunctionInfo Info

Definition at line 121 of file FunctionSizeCheck.cpp.

Referenced by clang::doc::Info::Info().

## ◆ Lines

unsigned Lines = 0

Definition at line 114 of file FunctionSizeCheck.cpp.

Referenced by clang::clangd::offsetToClangLineColumn(), and clang::clangd::offsetToPosition().

## ◆ NestingThreshold

unsigned NestingThreshold = 0

Definition at line 117 of file FunctionSizeCheck.cpp.

## ◆ NestingThresholders

std::vector<SourceLocation> NestingThresholders

Definition at line 119 of file FunctionSizeCheck.cpp.

## ◆ Statements

unsigned Statements = 0

Definition at line 115 of file FunctionSizeCheck.cpp.

## ◆ StructNesting

unsigned StructNesting = 0

Definition at line 123 of file FunctionSizeCheck.cpp.

## ◆ TrackedParent

std::vector<bool> TrackedParent

Definition at line 122 of file FunctionSizeCheck.cpp.

## ◆ Variables

unsigned Variables = 0

Definition at line 118 of file FunctionSizeCheck.cpp.